﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
using System.Data.Common;
using System.Drawing;

public partial class Commande : System.Web.UI.Page
{
 protected void Page_Load(object sender, EventArgs e)
 {
  List<string> panier = (List<string>)Session["PANIER"];
  if (panier == null) panier = new List<string>();
  DataTable dt = new DataTable();
  DataColumn dc = new DataColumn("ISBN", typeof(string)); dt.Columns.Add(dc);
  dc = new DataColumn("Titre", typeof(string)); dt.Columns.Add(dc);
  dc = new DataColumn("Auteur", typeof(string)); dt.Columns.Add(dc);
  dc = new DataColumn("Prix", typeof(decimal)); dt.Columns.Add(dc);

  DbProviderFactory dbpf = DbProviderFactories.GetFactory("System.Data.OleDb");
  DbConnection oConn = dbpf.CreateConnection();
  oConn.ConnectionString = ConfigurationManager.ConnectionStrings["LibrairieConnectionString"].ConnectionString;
  oConn.Open();

  for (int li = 0; li < panier.Count; li++)
  {
   string isbn = panier[li];
   DataRow dr = dt.NewRow();
   dr["ISBN"] = isbn;

   DbCommand oCmd = oConn.CreateCommand();
   oCmd.CommandText = "SELECT * FROM Ouvrages WHERE ISBN='" + isbn + "'";
   DbDataReader oRdr = oCmd.ExecuteReader();
   if (oRdr != null && oRdr.Read())
   {
    dr["Titre"] = oRdr["Titre"];
    dr["Auteur"] = oRdr["Auteur"];
    dr["Prix"] = oRdr["Prix"];
    dt.Rows.Add(dr);
   }
  }
  oConn.Close();
  gv.DataSource = dt;
  gv.DataBind();

  // afficher le montant du panier
  decimal somme = 0M;
  for (int li = 0; li < dt.Rows.Count; li++)
   somme += (decimal)dt.Rows[li]["Prix"];
  zaMontantPanier.Text = "Montant du panier : " + somme + " euros";

 }
 protected void bCommander_Click(object sender, EventArgs e)
 {
  // ajout dans la table des clients
  DbProviderFactory dbpf = DbProviderFactories.GetFactory("System.Data.OleDb");
  DbConnection oConn = dbpf.CreateConnection();
  oConn.ConnectionString = ConfigurationManager.ConnectionStrings["LibrairieConnectionString"].ConnectionString;
  oConn.Open();
  DbCommand oCmd = oConn.CreateCommand();
  string sNom = zeNom.Text.Replace("'", "''");
  string sPrénom = zePrénom.Text.Replace("'", "''");
  string sAdresse = zeAdresse.Text.Replace("'", "''");
  string sCP = zeCP.Text.Replace("'", "''");
  string sLocalité = zeLocalité.Text.Replace("'", "''");
  string sPays = zePays.Text.Replace("'", "''");
  string sEmail = zeEmail.Text.Replace("'", "''");
  string sNumCC = zeNumCC.Text.Replace("'", "''");
  int iExpMois, iExpAnnée;
  Int32.TryParse(coExpMois.SelectedValue, out iExpMois);
  Int32.TryParse(coExpAnnée.SelectedValue, out iExpAnnée);
  oCmd.CommandText = "INSERT INTO Clients "
    + "(NOM, PRENOM, ADRESSE, CP, LOCALITE, PAYS, EMAIL, CCTYPE, CCNUM, CCEXPMOIS, CCEXPANNEE, MP) "
    + "VALUES ('" + sNom + "', '" + sPrénom + "', '" + sAdresse
    + "', '" + sCP + "', '" + sLocalité + "', '" + sPays + "', '"
    + sEmail + "', '" + coCarte.SelectedValue + "', '" + sNumCC + "', "
    + iExpMois + ", " + iExpAnnée + ", '" + zeMP1.Text + "')";
  int n=0;
  try
  {
   n = oCmd.ExecuteNonQuery();
   if (n == 1)
   {
    // retrouver la clé primaire du client
    oCmd.CommandText = "SELECT @@IDENTITY";
    int nClient = (int)oCmd.ExecuteScalar();
    // enregistrer les commandes
    int nCmd = gv.Rows.Count;
    for (int i = 0; i < nCmd; i++)
    {
     string isbn = (string)gv.Rows[i].Cells[0].Text;
     oCmd.CommandText = "INSERT INTO Commandes (IDClient, ISBN, DateCommande) "
                          + "VALUES (" + nClient + ", '" + isbn + "', #" + DateTime.Now.Month + "/" + DateTime.Now.Day + "/" + DateTime.Now.Year + "#)";
     oCmd.ExecuteNonQuery();
    }
    zaInfo.Text = "Merci d'avoir passé cette commande";
   }
  }
  catch (Exception exc)
  {
   zaInfo.ForeColor = Color.Red;
   zaInfo.Text = "La commande n'a pu pas pu être enregistrée";
  }
  oConn.Close();
 }
}
