﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" Title="Librairie en ligne - Les ouvrages" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server" EnableViewState="true">
<div style="background-color:#EEE8AA;">
 <asp:Label runat="server" ID="zaInfo" CssClass="TitreSelection" />
 <asp:GridView ID="gv" runat="server" AutoGenerateColumns="False" BackColor="LightGoldenrodYellow" BorderColor="Tan" BorderWidth="1px" CellPadding="2" DataSourceID="OuvragesDSO" ForeColor="#7C6F57" GridLines="None" Width="100%" AllowPaging="True" AllowSorting="True" Font-Names="Verdana" Font-Size="9pt" PageSize="5" DataKeyNames="ISBN" OnRowCommand="gv_RowCommand" >
  <FooterStyle BackColor="Tan" />
  <Columns>
   <asp:TemplateField SortExpression="ISBN">
    <EditItemTemplate>
     <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("ISBN") %>'></asp:TextBox>
    </EditItemTemplate>
    <ItemTemplate>
     <asp:HyperLink ID="Label1" runat="server" ImageUrl='<%# retImage(Eval("ISBN")) %>' NavigateUrl='<%# retHtml(Eval("ISBN")) %>' Target="_blank" ></asp:HyperLink>
    </ItemTemplate>
   </asp:TemplateField>
   <asp:BoundField DataField="Titre" HeaderText="Titre" SortExpression="Titre">
    <ItemStyle Width="30%" />
   </asp:BoundField>
   <asp:BoundField DataField="Auteur" HeaderText="Auteur(s)" SortExpression="Auteur">
    <ItemStyle Width="25%" />
   </asp:BoundField>
   <asp:BoundField DataField="Prix" HeaderText="Prix" SortExpression="Prix" DataFormatString="{0:D} €">
    <ItemStyle HorizontalAlign="Center" />
   </asp:BoundField>
   <asp:BoundField DataField="DateParution" DataFormatString="{0:MMM yyyy}" HeaderText="Paru en "
    HtmlEncode="False" SortExpression="DateParution">
    <ItemStyle Wrap="False" HorizontalAlign="Center" />
   </asp:BoundField>
   <asp:BoundField DataField="NbPages" HeaderText="Pages" SortExpression="NbPages">
    <ItemStyle HorizontalAlign="Center" />
    <HeaderStyle HorizontalAlign="Center" />
   </asp:BoundField>
   <asp:ButtonField ButtonType="Image" CommandName="Commande" ImageUrl="~/Images/AjouterAuPanier.gif">
   </asp:ButtonField>
  </Columns>
  <SelectedRowStyle BackColor="DarkSlateBlue" ForeColor="GhostWhite" />
  <PagerStyle BackColor="PaleGoldenrod" ForeColor="DarkSlateBlue" HorizontalAlign="Right" />
  <HeaderStyle BackColor="Tan" Font-Bold="True" />
  <AlternatingRowStyle BackColor="PaleGoldenrod" />
 </asp:GridView>
 <asp:SqlDataSource ID="OuvragesDSO" runat="server" ConnectionString="<%$ ConnectionStrings:LibrairieConnectionString %>"
  ProviderName="<%$ ConnectionStrings:LibrairieConnectionString.ProviderName %>" SelectCommand="SELECT * FROM [Ouvrages] WHERE ([Catégorie] = ?)">
  <SelectParameters>
   <asp:QueryStringParameter DefaultValue="0" Name="Cat&#233;gorie" QueryStringField="Cat"
    Type="Int16" />
  </SelectParameters>
 </asp:SqlDataSource>
 </div>
</asp:Content>

